QGIS Application - Bug report #9135
PostGIS - materialized views only show if "also list tables with no geometry" is ticked
2013-11-27 12:43 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17770
Description

PostGIS materialized views are not shown in the "Add PostGIS table" dialog UNLESS "also list tables with no geometry" is ticked, even if
they have geometry columns.

Expected behaviour is that materialized views would show with "also list tables with no geometry" UNTICKED if they do have a geometry
column.

Related issues:

Related to QGIS Application - Feature request # 8791: Support PostgreSQL mate... Closed 2013-10-07
Related to QGIS Application - Bug report # 9136: Browser does not show Postgr... Closed 2013-11-27
History

#1 - 2013-11-27 02:31 PM - Jiirgen Fischer

- Affected QGIS version changed from 2.0.1 to master

Not reproducable here using PostgreSQL 9.3 with PostGIS 2.1. Here materialized views only disappear when 'Only look in layer registries' is checked.

#2 - 2013-11-27 02:38 PM - Nyall Dawson

Do you have "Don't resolve type of unrestricted columns (geometry)" ticked? (I do). Perhaps this bug is only triggered when that is ticked..?

#3 - 2013-11-27 03:13 PM - Jiirgen Fischer

Nyall Dawson wrote:

Do you have "Don't resolve type of unrestricted columns (geometry)" ticked? (I do). Perhaps this bug is only triggered when that is ticked.. ?

No. But that can also cause this as materialized views also don't have geometry type constraints.

#4 - 2013-12-03 01:02 AM - Matthias Kuhn

Is this an issue that will be solved? Or maybe it needs some hints on the GUI/help side?

#5 - 2014-06-21 11:22 AM - Jiirgen Fischer
- Category set to Data Provider/PostGIS
- Status changed from Open to Feedback

Matthias Kuhn wrote:

Is this an issue that will be solved? Or maybe it needs some hints on the GUI/help side?

| can't reproduce it. | see a materialized views when "Also list tables with no geometry" is not checked - whether or not | check "Don't resolve type of

unrestricted columns (geometry)" doesn't matter.

#6 - 2014-10-11 01:26 PM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
